## webissues 0.9.1.dfsg.1

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED( VERSION 2.4.0 )

PROJECT( WebIssues )
SET( VERSION "0.9.1" )

IF( WIN32 AND NOT MINGW )
    MESSAGE( FATAL_ERROR "Only MinGW Makefiles are supported on Windows. Use the -G switch to select the generator." )
ENDIF( WIN32 AND NOT MINGW )

SET( QT_MIN_VERSION "4.2.0" )
SET( QT_USE_QTNETWORK TRUE )
SET( QT_USE_QTXML TRUE )

FIND_PACKAGE( Qt4 REQUIRED )

INCLUDE( ${QT_USE_FILE} )

IF( MINGW )
    MESSAGE( STATUS "Looking for windres..." )
    GET_FILENAME_COMPONENT( bindir ${CMAKE_MAKE_PROGRAM} PATH )
    FIND_PROGRAM( WINDRES_EXECUTABLE
        NAMES windres
        PATHS ${bindir}
        DOC "Windows resource compiler"
    )
    IF( WINDRES_EXECUTABLE )
        SET( WINDRES_FOUND "YES" )
        MESSAGE( STATUS "Looking for windres... - found ${WINDRES_EXECUTABLE}" )
    ELSE( WINDRES_EXECUTABLE )
        MESSAGE( STATUS "Looking for windres... - NOT found" )
    ENDIF( WINDRES_EXECUTABLE )
    MARK_AS_ADVANCED( WINDRES_EXECUTABLE )
ENDIF( MINGW )

SUBDIRS( src )

IF( WIN32 )
    INSTALL( DIRECTORY doc/ DESTINATION doc PATTERN .svn EXCLUDE )
ELSE( WIN32 )
    INSTALL( DIRECTORY doc/ DESTINATION share/doc/webissues PATTERN .svn EXCLUDE )
ENDIF( WIN32 )

FIND_PACKAGE( Doxygen )

IF( DOXYGEN_FOUND )
    MESSAGE( STATUS "Looking for doxytag..." )
    FIND_PROGRAM( DOXYTAG_EXECUTABLE
        NAMES doxytag
        PATHS "[HKEY_LOCAL_MACHINE\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\doxygen_is1;Inno Setup: App Path]/bin"
        DOC "Doxygen tag file generation tool"
    )
    IF( DOXYTAG_EXECUTABLE )
        SET( DOXYTAG_FOUND "YES" )
        MESSAGE( STATUS "Looking for doxytag... - found ${DOXYTAG_EXECUTABLE}" )
    ELSE( DOXYTAG_EXECUTABLE )
        MESSAGE( STATUS "Looking for doxytag... - NOT found" )
    ENDIF( DOXYTAG_EXECUTABLE )
    MARK_AS_ADVANCED( DOXYTAG_EXECUTABLE )

    SET( apidir ${CMAKE_BINARY_DIR}/apidocs )
    FILE( MAKE_DIRECTORY ${apidir} )

    IF( DOXYTAG_FOUND AND QT_DOC_DIR )
        SET( tagfile ${apidir}/qt.tag )
        ADD_CUSTOM_TARGET( apidox
            COMMAND ${DOXYGEN_EXECUTABLE} >${apidir}/doxygen.log ${apidir}/Doxyfile
            DEPENDS ${tagfile}
            COMMENT "Generating API documentation"
        )
        ADD_CUSTOM_COMMAND(
            OUTPUT ${tagfile}
            COMMAND ${DOXYTAG_EXECUTABLE} >${apidir}/doxytag.log -t ${tagfile} ${QT_DOC_DIR}/html
        )
        SET( QT_TAG_FILE "${tagfile} = file://${QT_DOC_DIR}/html" )
    ELSE( DOXYTAG_FOUND AND QT_DOC_DIR )
        ADD_CUSTOM_TARGET( apidox
            COMMAND ${DOXYGEN_EXECUTABLE} >${apidir}/doxygen.log ${apidir}/Doxyfile
            COMMENT "Generating API documentation"
        )
    ENDIF( DOXYTAG_FOUND AND QT_DOC_DIR )

    CONFIGURE_FILE(
        "${CMAKE_SOURCE_DIR}/Doxyfile.in"
        "${apidir}/Doxyfile"
    )
ENDIF( DOXYGEN_FOUND )

=== src/CMakeLists.txt ===
SUBDIRS( attributes commands data dialogs icons models resources views widgets xmlui )

SET( WEBISSUES_SRCS
    application.cpp
    configdata.cpp
    connectionmanager.cpp
    iconloader.cpp
    main.cpp
    mainwindow.cpp
    viewerwindow.cpp
    viewmanager.cpp
)

QT4_AUTOMOC( ${WEBISSUES_SRCS} )

ADD_DEFINITIONS( ${QT_DEFINITIONS} )

INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} )

IF( MINGW AND WINDRES_FOUND )
    SET( outfile ${CMAKE_CURRENT_BINARY_DIR}/webissues_rc.o )
    ADD_CUSTOM_COMMAND(
        OUTPUT ${outfile}
        COMMAND ${WINDRES_EXECUTABLE} -I ${CMAKE_CURRENT_SOURCE_DIR} -i ${CMAKE_CURRENT_SOURCE_DIR}/webissues.rc -o ${outfile}
        DEPENDS webissues.ico
    )
    SET( WEBISSUES_SRCS ${WEBISSUES_SRCS} ${outfile} )
ENDIF( MINGW AND WINDRES_FOUND )

ADD_EXECUTABLE( webissues WIN32 ${WEBISSUES_SRCS} )

LINK_DIRECTORIES(
    ${WEBISSUES_BINARY_DIR}/attributes
    ${WEBISSUES_BINARY_DIR}/commands
    ${WEBISSUES_BINARY_DIR}/data
    ${WEBISSUES_BINARY_DIR}/data/rdb
    ${WEBISSUES_BINARY_DIR}/dialogs
    ${WEBISSUES_BINARY_DIR}/icons
    ${WEBISSUES_BINARY_DIR}/models
    ${WEBISSUES_BINARY_DIR}/resources
    ${WEBISSUES_BINARY_DIR}/views
    ${WEBISSUES_BINARY_DIR}/widgets
    ${WEBISSUES_BINARY_DIR}/xmlui
)

TARGET_LINK_LIBRARIES( webissues views dialogs models attributes data widgets commands xmlui rdb icons resources ${QT_LIBRARIES} )

INSTALL( TARGETS webissues DESTINATION bin )

IF( UNIX )
    INSTALL( FILES webissues.desktop DESTINATION share/applications )

    INSTALL( FILES icons/webissues-16.png DESTINATION share/icons/hicolor/16x16/apps RENAME webissues.png )
    INSTALL( FILES icons/webissues-22.png DESTINATION share/icons/hicolor/22x22/apps RENAME webissues.png )
    INSTALL( FILES icons/webissues-32.png DESTINATION share/icons/hicolor/32x32/apps RENAME webissues.png )
    INSTALL( FILES icons/webissues-48.png DESTINATION share/icons/hicolor/48x48/apps RENAME webissues.png )
ENDIF( UNIX )

=== src/attributes/CMakeLists.txt ===
SET( ATTRIBUTES_SRCS
    abstractvalueeditor.cpp
    datetimehelper.cpp
    definitionbuilder.cpp
    definitionhelper.cpp
    definitioninfo.cpp
    definitionparser.cpp
    metadatadialogbase.cpp
    metadatadialogfactory.cpp
    metadatadialogs.cpp
    valueeditorfactory.cpp
    valueeditors.cpp
)

QT4_AUTOMOC( ${ATTRIBUTES_SRCS} )

INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR} )

ADD_LIBRARY( attributes STATIC ${ATTRIBUTES_SRCS} )

=== src/commands/CMakeLists.txt ===
SET( COMMANDS_SRCS
    abstractbatch.cpp
    command.cpp
    commandmanager.cpp
    formdatamessage.cpp
    reply.cpp
)

QT4_AUTOMOC( ${COMMANDS_SRCS} )

INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR} )

ADD_LIBRARY( commands STATIC ${COMMANDS_SRCS} )

=== src/data/CMakeLists.txt ===
SUBDIRS( rdb )

SET( DATA_SRCS
    attachmentscache.cpp
    bookmark.cpp
    connectioninfo.cpp
    datamanager.cpp
    datarows.cpp
    finditembatch.cpp
    issuebatch.cpp
    loginbatch.cpp
    projectsbatch.cpp
    staterows.cpp
    typesbatch.cpp
    updatebatch.cpp
    updateevent.cpp
    usersbatch.cpp
)

QT4_AUTOMOC( ${DATA_SRCS} )

INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR} )

ADD_LIBRARY( data STATIC ${DATA_SRCS} )

=== src/dialogs/CMakeLists.txt ===
SET( DIALOGS_SRCS
    attributesettingsdialog.cpp
    checkmessagebox.cpp
    columnsettingsdialog.cpp
    commanddialog.cpp
    connectioninfodialog.cpp
    filterdialog.cpp
    finddialog.cpp
    finditemdialog.cpp
    issuedialogs.cpp
    logindialog.cpp
    projectdialogs.cpp
    settingsdialog.cpp
    startpage.cpp
    typedialogs.cpp
    userdialogs.cpp
)

QT4_AUTOMOC( ${DIALOGS_SRCS} )

INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR} )

ADD_LIBRARY( dialogs STATIC ${DIALOGS_SRCS} )

=== src/icons/CMakeLists.txt ===
SET( ICONS_RCS icons.qrc )

QT4_ADD_RESOURCES( ICONS_RC_RCS ${ICONS_RCS} )

ADD_LIBRARY( icons STATIC ${ICONS_RC_RCS} )

=== src/models/CMakeLists.txt ===
SET( MODELS_SRCS
    abstractrowfilter.cpp
    abstracttablemodel.cpp
    bookmarksettings.cpp
    columncondition.cpp
    columnconditionhelper.cpp
    columnconditionsettings.cpp
    filtervalueeditors.cpp
    htmlhistorywriter.cpp
    issuehistoryprovider.cpp
    issueviewsettings.cpp
    linklocator.cpp
    rowfilters.cpp
    tableitemmodel.cpp
    tablemodels.cpp
    tablemodelshelper.cpp
    treeviewhelper.cpp
    treeviewsettings.cpp
)

QT4_AUTOMOC( ${MODELS_SRCS} )

INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR} )

ADD_LIBRARY( models STATIC ${MODELS_SRCS} )

=== src/resources/CMakeLists.txt ===
SET( RESOURCES_RCS resources.qrc )

QT4_ADD_RESOURCES( RESOURCES_RC_RCS ${RESOURCES_RCS} )

ADD_LIBRARY( resources STATIC ${RESOURCES_RC_RCS} )

=== src/views/CMakeLists.txt ===
SET( VIEWS_SRCS
    commentview.cpp
    folderview.cpp
    issueview.cpp
    membersview.cpp
    projectsview.cpp
    typesview.cpp
    usersview.cpp
    view.cpp
    viewevent.cpp
    viewfactory.cpp
)

QT4_AUTOMOC( ${VIEWS_SRCS} )

INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR} )

ADD_LIBRARY( views STATIC ${VIEWS_SRCS} )

=== src/widgets/CMakeLists.txt ===
SET( WIDGETS_SRCS
    editlistbox.cpp
    popeditbox.cpp
    popeditpanel.cpp
    propertypanel.cpp
    searcheditbox.cpp
    statusbar.cpp
)

QT4_AUTOMOC( ${WIDGETS_SRCS} )

INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR} )

ADD_LIBRARY( widgets STATIC ${WIDGETS_SRCS} )

=== src/xmlui/CMakeLists.txt ===
SET( XMLUI_SRCS
    builder.cpp
    client.cpp
)

QT4_AUTOMOC( ${XMLUI_SRCS} )

INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR} )

ADD_LIBRARY( xmlui STATIC ${XMLUI_SRCS} )

## webissues 0.9.6

=== debian/changelog ===
webissues (0.9.6-1) unstable; urgency=low

  * New upstream release.
  * Convert package to the new 3.0 (quilt) format.
  * Rediff hunky patch.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 25 Nov 2009 19:05:20 +0100

webissues (0.9.5-2) unstable; urgency=low

  * Bump Standards-Version to 3.8.3.
    - Add debian/README.source.
  * Add webissues doc-base.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 01 Nov 2009 14:46:30 +0100

webissues (0.9.5-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 05 Aug 2009 19:37:43 +0200

webissues (0.9.5~rc1-1) unstable; urgency=low

  * New upstream release candidate.
    - Drop merged 01-fix-pre-qt451-compilation patch.
  * Bump Standards-Version to 3.8.2 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 02 Jul 2009 18:08:13 +0200

webissues (0.9.5~beta2-2) unstable; urgency=low

  * Add 01-fix-pre-qt451-compilation.dpatch, which fixes a FTBFS with older
    Qt4 versions.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 04 Jun 2009 11:38:27 +0200

webissues (0.9.5~beta2-1) unstable; urgency=low

  * New upstream beta release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 27 May 2009 14:50:51 +0200

webissues (0.9.5~beta1-1) unstable; urgency=low

  * New upstream beta release.
  * Fix typo in get-orig-source target.
  * Refresh my copyright in debian/copyright.
  * Refer in debian/copyright to the GPL-2 file instead of GPL.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 03 May 2009 11:01:24 +0200

webissues (0.9.4-2) unstable; urgency=low

  * Bump Standards-Version to 3.8.1 (no changes needed).
  * Change section of webissues-dbg to debug.
  * Change my email address.
  * Remove DM-Upload-Allowed control field.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 20 Apr 2009 19:38:43 +0200

webissues (0.9.4-1) unstable; urgency=low

  * New upstream release.
  * Remove the "using Qt4" from the short description.
  * Add missing ${misc:Depends}. Thanks lintian.
  * Add get-orig-source target.
  * Fix copyright-with-old-dh-make-debian-copyright.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Wed, 11 Mar 2009 13:28:18 +0200

webissues (0.9.3-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Fri, 24 Oct 2008 20:08:40 +0200

webissues (0.9.3~rc1-1) unstable; urgency=low

  * New upstream release candidate.
    - Drop 01-fix-qtversion-detect.dpatch (fixed upstream).
    - Drop our webissues(1) manpage. The upstream has took our manpage and
      also expanded it.
  * Drop superious debian/README.source.
  * Downgraded recommending on webissues-server to suggesting.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Thu,  9 Oct 2008 14:34:34 +0200

webissues (0.9.3~beta2-1) unstable; urgency=low

  * New upstream beta release.
    - Drop 05-destdir.dpatch (merged upstream).
    - Add 01-fix-qtversion-detect.dpatch.
    - Add 02-remove-docs.dpatch.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Sat,  4 Oct 2008 18:08:33 +0200

webissues (0.9.3~beta1-1) experimental; urgency=low

  * New upstream beta release.
    - Some files are now licensed under the terms of the BSD license, so on
      adjusted the debian/copyright.
    - Drop 04-gcc43-buildfix.dpatch. It has been merged in upstream.
  * Uploading to experimental, because Lenny is frozen.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Fri, 15 Aug 2008 21:25:10 +0200

webissues (0.9.2-2) unstable; urgency=low

  * Added uversionmangle to watch file to replace at beta and rc releases the
    "-" with a "~". So on uscan will give us back the right version.
  * Updated to Standards-Version 3.8.0.
    - Readme.source added.
  * Added DM-Upload-Allowed control field.
  * Remove not needed debhelper calls.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Sat, 19 Jul 2008 13:47:01 +0200

webissues (0.9.2-1) unstable; urgency=low

  * New upstream release.
    - Removed 01-remove-encoding-key patch.
    - Upstream has changed the build system from cmake to qmake, so I
      have removed the build depend on cmake and modified debian/rules.
    - Added 05-destdir patch, which adds the now missing DESTDIR support.
  * The license of the doc directory is now DFSG free.
    - Added the GFDL license from the doc dir to debian/copyright.
    - Removed README.Debian-source.
    - Removed 02-remove-docdir patch.
    - Removed 03-change-manual-url patch.
  * Removed the files debian/README.Debian-source and CMakeLists.txt in
    debian/webissues.docs, because they are not available now.
  * Removed not needed build dependencies on autotools-dev, libx11-dev,
    libjpeg62-dev, libpng12-dev and zlib1g-dev.
  * Added the webissues-dbg package, which provides the debugging symbols.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Mon,  7 Jan 2008 15:35:07 +0100

webissues (0.9.1.dfsg.1-3) unstable; urgency=low

  * Bumped Standards-Version to 3.7.3.
  * Fixed watch file. Before it matched on webissues-server release, too.
  * Added 04-gcc43-buildfix.dpatch. It fixes the GCC 4.3-snapshot FTBFS.
    Closes: #455348

 -- Patrick Matthäi <patrick.matthaei@web.de>  Tue, 18 Dec 2007 12:01:07 +0100

webissues (0.9.1.dfsg.1-2) unstable; urgency=low

  * debian/control: Changed short description to a better one. Thanks to
    Luca Brivio.
    Closes: #447332
  * debian/webissues.1: Many corrections to the manual page and removed the
    obsoleted binary paremeters.
  * Added README.Debian, where you can find a list of removed files from the
    dfsg.1 version.
  * Added 03-change-manual-url.dpatch, which changes the URL to the manuals
    from the local installation to the one on the project homepage. This
    makes the Manual button working.
  * Added watch file.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Tue,  6 Nov 2007 16:23:05 +0200

webissues (0.9.1.dfsg.1-1) unstable; urgency=low

  * Initial release.
    Closes: #443876



=== debian/control ===
Source: webissues
Section: x11
Priority: optional
Homepage: http://webissues.mimec.org/
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper (>= 5), quilt, libqt4-dev
Standards-Version: 3.8.3

Package: webissues
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: webissues-server
Description: a network system supporting team collaboration
 Webissues is a system supporting team collaboration
 accross the Internet. It can be used for storing bugs
 and other information with customizable attributes,
 comments and file attachements.

Package: webissues-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, webissues (= ${binary:Version})
Description: a network system supporting team collaboration (dbg symbols)
 Webissues is a system supporting team collaboration
 accross the Internet. It can be used for storing bugs
 and other information with customizable attributes,
 comments and file attachements.
 .
 This package contains the debugging symbols for webissues.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	./configure -prefix /usr -debug -destdir $(CURDIR)/debian/webissues
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.pri
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	$(MAKE) install

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installmenu
	dh_install
	dh_strip --dbg-package=webissues-dbg
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@uscan --force-download --destdir ../tarballs

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
opts=uversionmangle=s/-rc/~rc/;s/-beta/~beta/ \
	http://sf.net/webissues/webissues-(\d.*)\.tar\.bz2

## webissues 1.0~alpha4

=== debian/changelog ===
webissues (1.0~alpha4-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Build with hardening-wrapper.
  * Wrap build dependencies.
  * Fix lintian warning description-synopsis-starts-with-article.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 30 Apr 2011 18:37:57 +0200

webissues (1.0~alpha4-1) unstable; urgency=low

  * New upstream alpha release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 15 Mar 2011 20:14:54 +0100

webissues (1.0~alpha3-2) unstable; urgency=low

  * Upload to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 06 Feb 2011 19:33:00 +0100

webissues (1.0~alpha3-1) experimental; urgency=low

  * New upstream release.
    Closes: #608141
    - doc base has been removed.
  * Mangle -alpha to ~alpha in debian/watch.
  * Bump debhelper to version 7.
  * Remove quilt build dependency.
  * Refer to the GFDL-1.3 license.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 27 Dec 2010 22:17:09 +0100

webissues (1.0~alpha2-1) experimental; urgency=low

  * New upstream alpha release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 05 Sep 2010 20:29:19 +0200

webissues (1.0~alpha1-1) experimental; urgency=low

  * New upstream alpha release.
  * Bump Standards-Version to 3.9.1 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 29 Aug 2010 21:03:18 +0200

=== debian/control ===
Source: webissues
Section: x11
Priority: optional
Homepage: http://webissues.mimec.org/
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper (>= 7),
 libqt4-dev,
 hardening-wrapper
Standards-Version: 3.9.2

Package: webissues
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: webissues-server
Description: network system supporting team collaboration
 Webissues is a system supporting team collaboration
 accross the Internet. It can be used for storing bugs
 and other information with customizable attributes,
 comments and file attachements.

Package: webissues-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, webissues (= ${binary:Version})
Description: network system supporting team collaboration (dbg symbols)
 Webissues is a system supporting team collaboration
 accross the Internet. It can be used for storing bugs
 and other information with customizable attributes,
 comments and file attachements.
 .
 This package contains the debugging symbols for webissues.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+export DEB_BUILD_HARDENING=1
 
 CFLAGS = -Wall -g
 
@@ -34,7 +35,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	$(MAKE) install
 
 binary-indep: build install

## webissues 1.0~beta3

=== debian/changelog ===
webissues (1.0~beta3-1) unstable; urgency=low

  * New upstream beta release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 03 Nov 2011 10:16:18 +0100

webissues (1.0~beta2+svn1503-1) unstable; urgency=low

  * New upstream svn snapshot.
    - Build with system sqlite version.
    - Remove merged patch 02-remove-docs.
  * Add missing build-arch and build-indep target.
  * Remove debug/, Makefile and src/Makefile in clean target.
  * Wrap debian/control fields.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 06 Oct 2011 16:10:10 +0200

=== debian/rules ===
--- 
+++ 
@@ -19,9 +19,17 @@
 
 build: build-stamp
 
+build-arch: build
+
+build-indep: build
+
 build-stamp: configure-stamp
 	dh_testdir
-	./configure -prefix /usr -debug -destdir $(CURDIR)/debian/webissues
+	./configure \
+		-system-sqlite \
+		-prefix /usr \
+		-debug \
+		-destdir $(CURDIR)/debian/webissues
 	touch $@
 
 clean:
@@ -30,6 +38,8 @@
 	rm -f build-stamp configure-stamp
 	[ ! -f Makefile ] || $(MAKE) distclean
 	rm -f config.pri
+	rm -rf debug
+	rm -f Makefile src/Makefile
 	dh_clean
 
 install: build

## webissues 1.0

=== debian/changelog ===
webissues (1.0-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 20 Dec 2011 20:07:02 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,14 @@
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Build-Depends: debhelper (>= 7),
  libqt4-dev,
+ libsqlite3-dev,
  hardening-wrapper
 Standards-Version: 3.9.2
 
 Package: webissues
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+ ${misc:Depends}
 Suggests: webissues-server
 Description: network system supporting team collaboration
  Webissues is a system supporting team collaboration
@@ -22,7 +24,8 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: ${misc:Depends}, webissues (= ${binary:Version})
+Depends: ${misc:Depends},
+ webissues (= ${binary:Version})
 Description: network system supporting team collaboration (dbg symbols)
  Webissues is a system supporting team collaboration
  accross the Internet. It can be used for storing bugs

## webissues 1.0.2

=== debian/changelog ===
webissues (1.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 29 May 2012 18:57:11 +0200

webissues (1.0.1-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.3 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 22 Apr 2012 12:18:04 +0200

webissues (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Override useless lintian warnings.
  * Add doc-base registration.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 21 Feb 2012 20:54:07 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  libqt4-dev,
  libsqlite3-dev,
  hardening-wrapper
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 
 Package: webissues
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -57,6 +57,7 @@
 	dh_installdocs
 	dh_installmenu
 	dh_install
+	dh_lintian
 	dh_strip --dbg-package=webissues-dbg
 	dh_compress
 	dh_fixperms

## webissues 1.1~beta2

=== debian/changelog ===
webissues (1.1~beta2-1) unstable; urgency=low

  * New upstream beta release.
  * Replace my old e-mail address in debian/copyright.
  * Add patch 01-desktop-keywords to fix lintian warning
    desktop-entry-lacks-keywords-entry.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 23 Jul 2013 14:08:49 +0200

webissues (1.1~beta1-1) unstable; urgency=low

  * New upstream beta release.
    - Add new build dependency libqtwebkit-dev.
    - Adjust lintian overrides for duplicate-files warning.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 29 May 2013 10:15:00 +0200

webissues (1.0.5-2) unstable; urgency=low

  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 06 May 2013 09:25:46 +0200

webissues (1.0.5-1) experimental; urgency=low

  * New upstream release.
  * Migrate package to minimal debhelper rules and bump compat level to 9.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 15 Mar 2013 14:53:13 +0100

webissues (1.0.4-1) experimental; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Switch to xz compression and add a Pre-Depends on dpkg.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 29 Nov 2012 08:55:03 +0100

webissues (1.0.3-1) experimental; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 16 Aug 2012 12:51:48 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,16 @@
 Priority: optional
 Homepage: http://webissues.mimec.org/
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Build-Depends: debhelper (>= 7),
+Build-Depends: debhelper (>= 9),
  libqt4-dev,
  libsqlite3-dev,
+ libqtwebkit-dev,
  hardening-wrapper
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 
 Package: webissues
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Suggests: webissues-server
@@ -24,6 +26,7 @@
 Section: debug
 Architecture: any
 Priority: extra
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends},
  webissues (= ${binary:Version})
 Description: network system supporting team collaboration (dbg symbols)

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1

%:
	dh $@

override_dh_auto_configure:
	./configure \
		-system-sqlite \
		-prefix /usr \
		-debug

override_dh_strip:
	dh_strip --dbg-package=webissues-dbg

override_dh_builddeb:
	dh_builddeb -- -Zxz

## webissues 1.1.1

=== debian/changelog ===
webissues (1.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 10 Dec 2013 09:53:14 +0100

webissues (1.1-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 18 Nov 2013 15:21:03 +0100

webissues (1.1~rc1-1) unstable; urgency=low

  * New upstream release candidate.
    - Remove merged patch 01-desktop-keywords.
  * Bump Standards-Version to 3.9.5 (no changes needed).
  * Don't explicitly request xz compression - dpkg 1.17 does this by default.
  * Remove unused lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 08 Nov 2013 12:58:10 +0100

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,10 @@
  libsqlite3-dev,
  libqtwebkit-dev,
  hardening-wrapper
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 
 Package: webissues
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Suggests: webissues-server
@@ -26,7 +25,6 @@
 Section: debug
 Architecture: any
 Priority: extra
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends},
  webissues (= ${binary:Version})
 Description: network system supporting team collaboration (dbg symbols)

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,3 @@
 
 override_dh_strip:
 	dh_strip --dbg-package=webissues-dbg
-
-override_dh_builddeb:
-	dh_builddeb -- -Zxz

## webissues 1.1.2

=== debian/changelog ===
webissues (1.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Overwrite debian-watch-may-check-gpg-signature warning. There is no GPG
    signature available.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 27 May 2014 11:14:24 +0200

## webissues 1.1.3

=== debian/changelog ===
webissues (1.1.3-2) unstable; urgency=low

  * Update to DEP5 copyright format.
  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 05 May 2015 20:35:43 +0200

webissues (1.1.3-1) experimental; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.6 (no changes needed).
  * Remove deprecated hardening-wrapper.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 13 Mar 2015 09:49:07 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,8 @@
 Build-Depends: debhelper (>= 9),
  libqt4-dev,
  libsqlite3-dev,
- libqtwebkit-dev,
- hardening-wrapper
-Standards-Version: 3.9.5
+ libqtwebkit-dev
+Standards-Version: 3.9.6
 
 Package: webissues
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-export DEB_BUILD_HARDENING=1
 
 %:
 	dh $@

## webissues 1.1.4

=== debian/changelog ===
webissues (1.1.4-4) unstable; urgency=high

  * Set destdir manualy to prevent a FTBFS.
    Closes: #841589
  * Remove unused lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 27 Oct 2016 13:26:24 +0200

webissues (1.1.4-3) unstable; urgency=medium

  * Fix spelling error in long description.
  * Bump Standards-Version to 3.9.8 (no changes required).
  * Enable full hardening.
  * Overwrite false positive spelling-error-in-binary lintian warning.
  * Include missing prettify.js source code.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 04 May 2016 14:15:44 +0200

webissues (1.1.4-2) unstable; urgency=medium

  * Add patch 01-fix-ftbs which fixes a FTBFS.
    Closes: #803754
  * Remove deprecated menu entry.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 07 Nov 2015 17:36:46 +0100

webissues (1.1.4-1) unstable; urgency=medium

  * New upstream release.
    - Ported to Qt5.
      Closes: #784558
  * Adjust lintian overrides.
  * Fix license name in debian/copyright.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 27 Aug 2015 18:39:57 +0200

=== debian/control ===
Source: webissues
Section: x11
Priority: optional
Homepage: http://webissues.mimec.org/
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper (>= 9),
 libsqlite3-dev,
 qtchooser,
 libqt5webkit5-dev,
 qt5-qmake
Standards-Version: 3.9.8

Package: webissues
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Suggests: webissues-server
Description: network system supporting team collaboration
 Webissues is a system supporting team collaboration
 across the Internet. It can be used for storing bugs
 and other information with customizable attributes,
 comments and file attachements.

Package: webissues-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends},
 webissues (= ${binary:Version})
Description: network system supporting team collaboration (dbg symbols)
 Webissues is a system supporting team collaboration
 across the Internet. It can be used for storing bugs
 and other information with customizable attributes,
 comments and file attachements.
 .
 This package contains the debugging symbols for webissues.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export QT_SELECT=qt5
 
 %:
 	dh $@
@@ -7,6 +10,7 @@
 	./configure \
 		-system-sqlite \
 		-prefix /usr \
+		-destdir $(CURDIR)/debian/tmp/ \
 		-debug
 
 override_dh_strip:

## webissues 1.1.5

=== debian/changelog ===
webissues (1.1.5-6build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:28:41 +0100

webissues (1.1.5-6) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0.
  * Use the new debhelper-compat notation, and drop the d/compat file.
  * Adjust source lintian-overrides.
  * Set Rules-Requires-Root: no.
  * Fix renamed lintian tag.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 23 Jan 2020 16:33:20 +0100

webissues (1.1.5-5) unstable; urgency=medium

  * Make a new source only upload.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 24 Jul 2019 15:21:21 +0200

webissues (1.1.5-4) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0.
  * Adopt patch from Helmut Grohne to fix a FTCBFS.
    Closes: #926605
  * Move source.lintian-overrides file to source directory.
  * Adjust renamed linitian tag.
  * Fix spelling error in long description.
  * Bump debian/compat to level 12.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 09 Jul 2019 10:28:43 +0200

webissues (1.1.5-3) unstable; urgency=medium

  * Set a save URL in the homepage field.
  * Point debian/watch to GitHub.
  * Bump debian/compat to level 10.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 15 Mar 2018 15:39:26 +0100

webissues (1.1.5-2) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0 (no changes required).
  * Drop dbg package.
  * Uploading to unstable.
  * Overwrite hardening-no-bindnow lintian warning.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 03 Jul 2017 12:04:46 +0200

webissues (1.1.5-1) experimental; urgency=low

  * New upstream release.
    - Drop merged patch 01-fix-ftbs.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 19 May 2017 20:59:48 +0200

=== debian/control ===
Source: webissues
Section: x11
Priority: optional
Homepage: https://webissues.mimec.org/
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper-compat (= 12),
 libsqlite3-dev,
 qtchooser,
 libqt5webkit5-dev,
 qt5-qmake
Rules-Requires-Root: no
Standards-Version: 4.5.0

Package: webissues
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Suggests: webissues-server
Description: network system supporting team collaboration
 Webissues is a system supporting team collaboration
 across the Internet. It can be used for storing bugs
 and other information with customizable attributes,
 comments and file attachments.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT=qt5

ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
QMAKE = qmake
else
QMAKE = $(DEB_HOST_GNU_TYPE)-qmake
endif

%:
	dh $@

override_dh_auto_configure:
	./configure \
		-qmake `which $(QMAKE)` \
		-system-sqlite \
		-prefix /usr \
		-destdir $(CURDIR)/debian/tmp/ \
		-debug

=== debian/watch ===
version=3
opts=uversionmangle=s/-rc/~rc/;s/-beta/~beta/;s/-alpha/~alpha/ \
https://github.com/mimecorg/webissues-client/releases \
/mimecorg/webissues-client/archive/v(.+)\.tar\.gz
